from pydantic import BaseModel, Field


class Item(BaseModel):
    id: str
    is_in: str | None
    coords_bl: str | None
    coords_tr: str | None
    type: str | None
    name: str | None
    content: str | None
    note: str | None
    hidden: bool
    last_updated: int | None = Field(None)

    class Config:
        from_attributes = True
